# Fastly Documentation 📚

This folder contains documentation around this pipeline, Fastly, and other services.

## Table of Contents

Here is the table of contents for this documentation folder. See below for other doc links.

New to Fastly? The [Getting Started](getting-started.md) is your place to start.

View the following documents for specific details around each subject:

* [common-code](common-code.md) - A document around common code that can be shared between Fastly services
* [getting-started](getting-started.md) - The best place for newcomers
* [learning](learning.md) - A guide for learning all things Fastly
* [logging](logging.md) - Documentation around Fastly, logging, and Elastic Search
* [new-service](new-service.md) - A guide for creating a new service in Fastly using this repo
* [pipeline](pipeline.md) - General Pipeline information
* [rapid-rollback](rapid-rollback.md) - Information about the rapid-rollback stage of the pipeline
* [slack](slack.md) - For setting up Slack integrations with this pipeline
* [terraform-reference](terraform-reference.md) - How to use common Terraform blocks to configure your Fastly service
* [vcl-include-and-snippets](vcl-include-and-snippets.md) - Details about VCL include statements vs snippets. This guide has examples about how to use both and the key differences between them.

## Additional Documentation

The following links are to other doc pages and READMEs in this repo that are not in this specific folder.

* [ci folder details readme](/code/ci/README.md) - Details about the `/code/ci` folder
* [fastly-ci readme](/code/ci/docker/README.md) - Details about the stock CICD image with Terraform
* [logs folder readme](/code/logs/README.md) - Details about the logs folder
* [fastly-to-insights readme](/code/logs/fastly-to-insights/README.md) - Details about the fastly-to-insights metrics aggregator for Fastly Services
